Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1338907 (CVE-2015-8877) - CVE-2015-8877 gd: gdImageScaleTwoPass function in gd_interpolation.c uses inconsistent allocate and free approaches
Summary: CVE-2015-8877 gd: gdImageScaleTwoPass function in gd_interpolation.c uses inc...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-8877
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1338927 1340428
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-23 15:34 UTC by Andrej Nemec
Modified: 2019-09-29 13:49 UTC (History)
17 users (show)

Fixed In Version: php 5.6.12, gd 2.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-01 12:59:54 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2750 0 normal SHIPPED_LIVE Moderate: rh-php56 security, bug fix, and enhancement update 2016-11-15 16:40:02 UTC

Description Andrej Nemec 2016-05-23 15:34:20 UTC
A vulnerability was found in the GD Graphics Library before 2.2.0, as used in PHP before 5.6.12. The gdImageScaleTwoPass function in gd_interpolation.c uses inconsistent allocate and free approaches, which allows remote attackers to cause a denial of service (memory consumption) via a crafted call, as demonstrated by a call to the PHP imagescale function.

Upstream bugs:

https://bugs.php.net/bug.php?id=70064
https://github.com/libgd/libgd/issues/173

Comment 1 Andrej Nemec 2016-05-23 16:36:07 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1338927]

Comment 2 Adam Mariš 2016-05-27 11:38:04 UTC
Created gd tracking bugs for this issue:

Affects: fedora-all [bug 1340428]

Comment 3 Fedora Update System 2016-05-28 18:32:57 UTC
gd-2.2.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Tomas Hoger 2016-06-01 12:59:54 UTC
Limited memory leak, only affected PHP 5.5+.  More of a bug than a security issue.

Comment 6 Fedora Update System 2016-06-02 14:54:58 UTC
gd-2.1.1-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-06-17 15:50:20 UTC
gd-2.1.1-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 errata-xmlrpc 2016-11-15 11:52:42 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS

Via RHSA-2016:2750 https://rhn.redhat.com/errata/RHSA-2016-2750.html


Note You need to log in before you can comment on or make changes to this bug.